Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0007886 [DCSS] Bug Report tweak always 2013-12-19 14:37 2014-01-10 00:23
Reporter nagdon View Status public  
Assigned To neil
Priority normal Resolution done  
Status closed   Product Branch 0.14 ancient branch
Summary 0007886: formicid poison vulnerability isn't suppressed by form change
Description As the title says, formicids in ice, dragon, fungus, tree, jelly and wisp forms are not resistant to poison. (They gain one point of rPois because they are in a poison-resistant form and -1 point because they are formicids.) This seems to be strange as the poison vulnerability is flavored as the result of their ant-like metabolism, and they lose that when they polymorph. I think the poison vulnerability shall be suppressed by forms like a regular physical mutation.

Also note that
 * lich form, statue form and petrified state has poison immunity even for formicids, as in these states player::is_artifical() returns true and thus player_res_poison(...) (player.cc line 1865) returns early
 * properly handling suppression would also solve that for example pig form formicids are currently vulnerable to poison
 * for formicids in spider form who don't have any rPois sources, player_res_poison(...) returns -2 poison resistance, but it is always equivalent to -1 poison resistance (I searched for calls of player_res_poison() and actor::res_poison()), so this doesn't cause any problems
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0024884)
neil (administrator)
2013-12-30 23:21

Fixed in trunk (0.14-a0-1701-g926f6aa), thanks!

- Issue History
Date Modified Username Field Change
2013-12-19 14:37 nagdon New Issue
2013-12-30 23:21 neil Note Added: 0024884
2013-12-30 23:35 neil Status new => resolved
2013-12-30 23:35 neil Fixed in Branch => 0.14 development branch
2013-12-30 23:35 neil Resolution open => done
2013-12-30 23:35 neil Assigned To => neil
2014-01-10 00:23 nagdon Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker